Package org.apache.commons.math3.analysis

# Interface DifferentiableUnivariateMatrixFunction

All Superinterfaces:
  `UnivariateMatrixFunction`

@Deprecated public interface DifferentiableUnivariateMatrixFunction extends UnivariateMatrixFunction
Deprecated.
as of 3.1 replaced by `UnivariateDifferentiableMatrixFunction`
Extension of `UnivariateMatrixFunction` representing a differentiable univariate matrix function.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`UnivariateMatrixFunction`
`derivative()`
Deprecated.
Returns the derivative of the function

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateMatrixFunction

`value`

## Method Details

### derivative

UnivariateMatrixFunction derivative()
Deprecated.
Returns the derivative of the function

Returns:
  the derivative function